Bug 322141 - Review Request: egoboo-data - Data files for the Egoboo RPG
Review Request: egoboo-data - Data files for the Egoboo RPG
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-07 09:50 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 08:17:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-10-07 09:50:40 EDT
Spec URL: http://people.atrpms.net/~hdegoede/egoboo-data.spec
SRPM URL: http://people.atrpms.net/~hdegoede/egoboo-data-2.4.3-1.fc8.src.rpm
Description:
Data files for the Egoboo RPG.
Comment 1 Hans de Goede 2007-10-07 09:56:22 EDT
egoboo itself is review bug 322161
Comment 2 Dan Horák 2007-10-07 15:40:48 EDT
Review:

OK	source files match upstream (used instructions from the spec file, no diff
between them):
	    252c09320cd355e8b8e6f27a728045c638f9dc48  egoboo-data-2.4.3.tar.bz2
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license (GPL).
OK	license is open source-compatible. License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	%clean is present.
OK	package builds in mock (development/i386).
OK	rpmlint is silent.
OK	final provides and requires look sane.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	scriptlets are present.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.

This package is APPROVED. But clarify the GPL version with upstream.
Comment 3 Hans de Goede 2007-10-07 15:58:19 EDT
Thanks! I've send a mail to upstream to clarify the license version.

New Package CVS Request
=======================
Package Name:      egoboo-data
Short Description: Data files for the Egoboo RPG
Owners:            jwrdegoede
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes

Comment 4 Kevin Fenzi 2007-10-08 14:27:55 EDT
cvs done.
Comment 5 Hans de Goede 2007-10-09 08:17:18 EDT
Imported and build, closing.

Note F-7 update pushing is waiting for enet tagging into F-7 buildroot so that
egoboo can be build and this can be pushed as an update bundle.

Note You need to log in before you can comment on or make changes to this bug.